﻿#language: ru

@ignore
@tma
@exportscenarios

Функционал: Экспортные сценарии

Сценарий: Я создаю группу партнеров для планирования "ИмяГруппыПартнеров" с каналом сбыта "ИмяКаналаСбыта"

	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Группы партнеров для планирования'
	Тогда открылось окно 'Группы партнеров для планирования'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Группы партнеров для планирования (создание)'
	И из выпадающего списка "Канал сбыта" я выбираю по строке 'ИмяКаналаСбыта'
	И из выпадающего списка "Основной менеджер" я выбираю по строке 'Пользователь'
	И в поле 'Наименование' я ввожу текст 'ИмяГруппыПартнеров'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Группы партнеров для планирования (создание) *' в течение 20 секунд
	Тогда открылось окно 'Группы партнеров для планирования'
	И Я закрываю окно 'Группы партнеров для планирования'

Сценарий: Я заполняю группу планирования "ИмяГруппыПланирования" для конрагента "ИмяКонтрагента"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'ИмяКонтрагента' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '* (Контрагент)'
	И я перехожу к закладке "Планирование"
	И из выпадающего списка "Группа планирования" я выбираю по строке 'ИмяГруппыПланирования'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна '* (Контрагент) *' в течение 20 секунд
	Тогда открылось окно 'Контрагенты'
	И Я закрываю окно 'Контрагенты'

Сценарий: Я создаю сценарий товарного планирования "ИмяСценарияПланирования" с периодичностью "ИмяПериодичности"

	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Сценарии товарного планирования'
	Тогда открылось окно 'Сценарии товарного планирования'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сценарии товарного планирования (создание)'
	И в поле 'Наименование' я ввожу текст 'ИмяСценарияПланирования'
	И из выпадающего списка "Периодичность" я выбираю по строке 'ИмяПериодичности'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарии товарного планирования (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сценарии товарного планирования'
	И Я закрываю окно 'Сценарии товарного планирования'

Сценарий: Я создаю сценарий товарного планирования "ИмяСценарияПланирования" с периодичностью "ИмяПериодичности" и годовым сценарием "ИмяГодовогоСценария"

	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Сценарии товарного планирования'
	Тогда открылось окно 'Сценарии товарного планирования'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сценарии товарного планирования (создание)'
	И в поле 'Наименование' я ввожу текст 'ИмяСценарияПланирования'
	И из выпадающего списка "Периодичность" я выбираю по строке 'ИмяПериодичности'
	И из выпадающего списка "Годовой сценарий" я выбираю по строке 'ИмяГодовогоСценария'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сценарии товарного планирования (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сценарии товарного планирования'
	И Я закрываю окно 'Сценарии товарного планирования'

Сценарий: Я добавляю в список значений значение "ИмяЗначения"

	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" из выпадающего списка "Значение" я выбираю по строке 'ИмяЗначения'
	И в таблице "ValueList" я завершаю редактирование строки

Сценарий: Я указываю статью бюджета "ИмяСтатьиБюджета" для группы партнеров "ИмяГруппыПартнеров" и товарной категории "ИмяТоварнойКатегории"

	И в таблице "Бюджеты" я перехожу к строке:
		| 'Группа партнеров'   | 'Товарная категория'   |
		| 'ИмяГруппыПартнеров' | 'ИмяТоварнойКатегории' |
	И в таблице "Бюджеты" из выпадающего списка "Статья" я выбираю по строке 'ИмяСтатьиБюджета'
	И в таблице "Бюджеты" я завершаю редактирование строки